package com.biganto.visual.roompark.presentation.screen.feeds

import android.content.Context
import com.biganto.visual.roompark.base.RoomParkMainActivity
import com.biganto.visual.roompark.di.dagger.AppComponent
import com.biganto.visual.roompark.di.dagger.PerScreen
import dagger.Binds
import dagger.BindsInstance
import dagger.Component
import dagger.Module


@PerScreen
@Component(
    modules = [FeedsScreenModule::class],
    dependencies = [AppComponent::class])
interface FeedsScreenComponent {

    @Component.Factory
    interface Factory{
        fun create(
            appComponent: AppComponent
            ,@BindsInstance activity: RoomParkMainActivity
        ): FeedsScreenComponent
    }

    val presenter: FeedsScreenPresenter

    fun inject(controller: FeedsScreenController)
}

@Module
abstract class FeedsScreenModule{

    @PerScreen
    @Binds
   abstract fun provideContext(activity: RoomParkMainActivity): Context

}
