package com.biganto.visual.roompark.presentation.screen.feeds

import com.biganto.visual.roompark.conductor.BigantoBaseViewState
import com.biganto.visual.roompark.domain.model.AlbumPreviewModel
import com.biganto.visual.roompark.domain.model.ArticlePreviewModel
import com.biganto.visual.roompark.domain.model.FeedModel
import com.biganto.visual.roompark.domain.model.WebCamModel

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */


sealed class FeedsScreenViewState : BigantoBaseViewState() {
    class Idle : FeedsScreenViewState()
    class FeedsPages(val items:List<FeedModel>) : FeedsScreenViewState()
    class AlbumsPages(val items:List<AlbumPreviewModel>) : FeedsScreenViewState()
    class CamsList(val items:List<WebCamModel>) : FeedsScreenViewState()

    class GetFeedArticlesPreview(val items:List<ArticlePreviewModel>) : FeedsScreenViewState()
}