package com.biganto.visual.roompark.util.extensions

import java.text.DecimalFormat

/**
 * Created by Vladislav Bogdashkin on 23.10.2019.
 */


fun Int.toRubly() = String.format("%,d \u20BD",this).replace(',',' ')

fun Long.bytesToSize():String{
    if (this==-1L) return "~"
    var scale=0
    var rest:Long=this
    var least=0f
    while (rest>=1024) {
        least=(rest%1024).toFloat()
        rest /= 1024
        scale++
    }
    least/=102.4f
    return when(scale)
    {
        0->"$rest.${least.format(0)}B"
        1->"$rest.${least.format(0)}Kb"
        2->"$rest.${least.format(0)}Mb"
        3->"$rest.${least.format(0)}Gb"
        4->"$rest.${least.format(0)}Tb"
        else ->"$rest${least.format(0)}Bb" //BigantoByte
    }
}


fun Float.format(fracDigits: Int): String {
    val df = DecimalFormat()
    df.maximumFractionDigits = fracDigits
    return df.format(this)
}
